Bug 172009 - up2date runs --configure on first run even when not requested
up2date runs --configure on first run even when not requested
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bryan Kearney
Corey Welton
Depends On:
Blocks: 191074 191079 218658 218659
  Show dependency treegraph
Reported: 2005-10-28 21:59 EDT by Joe Cooper
Modified: 2013-01-10 03:50 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0250
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 19:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Cooper 2005-10-28 21:59:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
up2date always runs "up2date --configure" on the first run, even when that behavior is not desired (which is 100% of the time, IMHO).  It does not provide a means to skip said behavior that I could find.

It is wholly pointless for the vast majority of users who have to hit "enter" to get on with what they were trying to do (which was no configure up2date, but to actually use it...they would have asked for --configure, if they wanted to configure it).  Worse, every user I've walked through an installation and up2date thinks it is an error because of the two screens full of crud that they don't understand and have no desire to understand.  The first option is "debug" and the others are even more cryptic and frightening, like this beauty: "2.  rhnuuid            538fbdfa-713c-11d8-8a1a-9b2a1e951843".

This simply should not be the default behavior.  It looks like an error to most new users, it prevents automated up2date usage on new systems, and it contains confusingly labeled settings that the vast majority of users don't need to change and won't understand how to change without consulting documentation (and if they do change them, they're likely to break up2date).  It is simply morally reprehensible (OK, maybe I exaggerate the crime a little bit...but it is certainly extremely silly behavior).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a fresh system (I've reported for RHEL4, but it applies to all Red Hat-based products that include up2date)
2. Run up2date

Actual Results:  0.  debug              No
1.  useRhn             No
2.  rhnuuid            538fbdfa-713c-11d8-8a1a-9b2a1e951843
3.  isatty             Yes
4.  showAvailablePacka No
5.  useNoSSLForPackage No
6.  storageDir         /var/spool/up2date
7.  pkgSkipList        ['kernel*']
8.  retrieveOnly       No
9.  noSSLServerURL     http://xmlrpc.rhn.redhat.com/XMLRPC
10. networkSetup       Yes
11. networkRetries     5
12. pkgsToInstallNotUp ['kernel', 'kernel-modules']
13. enableProxy        No
14. noBootLoader       No
15. proxyPassword
16. updateUp2date      Yes
17. keepAfterInstall   No
18. useGPG             Yes
19. headerCacheSize    40
20. forceInstall       No
21. systemIdPath       /etc/sysconfig/rhn/systemid
22. retrieveSource     No
23. enableRollbacks    No
24. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
25. adminAddress       ['root@localhost']
26. serverURL          https://xmlrpc.rhn.redhat.com/XMLRPC
27. fileSkipList       []
28. versionOverride
29. sslCACert          /usr/share/rhn/RHNS-CA-CERT
30. noReplaceConfig    Yes
31. enableProxyAuth    No
32. disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages', 'noSSLSe33. headerFetchCount   10
34. proxyUser
35. removeSkipList     ['kernel*']
36. httpProxy
37. noReboot           No

Enter number of item to edit <return to exit, q to quit without saving>:

Expected Results:  up2date does what up2date is supposed to do (i.e. update packages, install software, wacky stuff like that).

Additional info:
Comment 4 Fanny Augustin 2006-04-10 20:42:42 EDT
Blocking rhnupr4u4 and rhnupr3u8 to track the progress of the release
Comment 5 Fanny Augustin 2006-04-13 15:56:53 EDT
Moving bugs to the CanFix List
Comment 6 Fanny Augustin 2006-05-08 15:37:46 EDT
This bug did not make the code freeze and it will not be fiixed during this
release cycle.  Re-aligning bug to the next release
Comment 7 Fanny Augustin 2006-05-08 16:11:19 EDT
This bug did not make the code freeze.  It will not be fixed in this releasee 
Reea ligning to the next one.
Comment 12 James Bowes 2006-11-09 12:16:18 EST
fixed in up2date-4.5.0-1
Comment 14 Corey Welton 2007-03-21 15:23:20 EDT
QA Verified -- running up2date on an unregistered system no longer displays
config screen.
Comment 16 Red Hat Bugzilla 2007-05-01 19:02:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.